Bug 142015 - Print jobs to non-linux ipp printers not clearing out.
Print jobs to non-linux ipp printers not clearing out.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: desktop-printing (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 14:15 EST by Matthew Saltzman
Modified: 2013-03-05 22:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:10:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of eggcups failing to clear completed ipp print job (186.36 KB, text/plain)
2004-12-06 14:17 EST, Matthew Saltzman
no flags Details
strace -fF of failed print job (186.21 KB, text/plain)
2004-12-06 14:22 EST, Matthew Saltzman
no flags Details
strace -fF of failed print job (redux) (562.57 KB, text/plain)
2004-12-06 17:19 EST, Matthew Saltzman
no flags Details
Attempted strace of printing to a kyocera fs1010 with ipp (116.31 KB, text/plain)
2005-02-05 21:22 EST, Phil Anderson
no flags Details

  None (edit)
Description Matthew Saltzman 2004-12-06 14:15:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.7.5)
Gecko/20041109 Firefox/1.0

Description of problem:
A job printed to an HP LaserJet IPP port shows up in the eggcups
status window as unknown name, unknown size, and status sending.  The
time submitted updates, but the status never changes to completed.

I have not tested SMB, LP, or JetDirect interfaces yet.

Version-Release number of selected component (if applicable):
desktop-printing-0.17-5

How reproducible:
Always

Steps to Reproduce:
1. Define an ipp printer (HP LaserJet network printer, not a cups
print queue on a Fedora system).
2. Print a document from GNOME desktop with desktop-printing installed.
3. Monitor status window.
    

Actual Results:  Document shows as "Unknown", size shows as "?".
Print job remains in "sending" status even after printing completes.

Expected Results:  Document shows as filename, size is the size of the
file.
Status updates to "completed" after printing completes, taskbar icon
greys out.

Additional info:

Strace to follow.
Comment 1 Matthew Saltzman 2004-12-06 14:17:23 EST
Created attachment 107977 [details]
strace of eggcups failing to clear completed ipp print job
Comment 2 Matthew Saltzman 2004-12-06 14:22:35 EST
Created attachment 107978 [details]
strace -fF of failed print job

Sorry, forgot the -fF option in the previous strace.
Comment 3 Colin Walters 2004-12-06 17:01:54 EST
You need to remove the existing eggcups from your session; otherwise
the new instance just exits.  Run "gnome-session-remove eggcups", then
redo the strace please.
Comment 4 Matthew Saltzman 2004-12-06 17:19:20 EST
Created attachment 108009 [details]
strace -fF of failed print job (redux)

Sorry, I didn't realize how that worked (although I wondered a bit watching the
log).
Comment 5 Matthew Saltzman 2004-12-10 09:16:33 EST
Just discovered the following issue, which appears related to this:

On FC3, enabling print sharing in system-config-printer opens ipp:udp
in iptables but not ipp:tcp.  Without the TCP port, printers are
visible to remote clients but print jobs just queue.  Once the TCP
port is opened, the queue flushes and the jobs print.

The interesting thing is, while the jobs are blocked, eggcups shows
the job name and size as unknown.

Haybe that's related?
Comment 6 Colin Walters 2004-12-13 17:36:36 EST
The important part is here:

[pid  7203] connect(20, {sa_family=AF_INET, sin_port=htons(631),
sin_addr=inet_addr("172.19.112.245")}, 16) = 0
[pid  7203] send(20, "POST /printers/queue1 HTTP/1.1\r\n", 32, 0) = 32
[pid  7203] send(20, "Content-Length: 137\r\n", 21, 0) = 21
[pid  7203] send(20, "Content-Type: application/ipp\r\n", 31, 0) = 31
[pid  7203] send(20, "Host: gutenberg-ptr.ces.clemson.edu\r\n", 37, 0)
= 37
[pid  7203] send(20, "\r\n", 2, 0)      = 2
[pid  7203] time(NULL)                  = 1102371250
[pid  7203] send(20, "\1\1\0\t\0\0\0\1", 8, 0) = 8
[pid  7203] time(NULL)                  = 1102371250
[pid  7203] send(20, "\1G\0\22attributes-charset\0\5utf-8", 29, 0) = 29
[pid  7203] time(NULL)                  = 1102371250
[pid  7203] send(20, "H\0\33attributes-natural-language\0\5en-us", 37,
0) = 37
[pid  7203] time(NULL)                  = 1102371250
[pid  7203] send(20, "E\0\7job-uri\0\26ipp://localhost/jobs/9", 34, 0)
= 34
[pid  7203] time(NULL)                  = 1102371250
[pid  7203] send(20, "B\0\24requesting-user-name\0\3mjs", 28, 0) = 28
[pid  7203] time(NULL)                  = 1102371250
[pid  7203] send(20, "\3", 1, 0)        = 1
[pid  7203] recv(20, "HTTP/1.1 200 OK\r\nServer:
Virata-EmWeb/R6_2_1\r\nTransfer-Encoding: chunked\r\nContent-Type:
application/ipp\r\nCache-Control: max-age=3600, public\r\n\r\n", 2048,
0) = 144
[pid  7203] recv(20,
"0000004b\r\n\1\1\4\6\0\0\0\1\1G\0\22attributes-charset\0\5utf-8H\0\33attributes-natural-language\0\5en-us\3\r\n",
2048, 0) = 87

When we ask for the job status here, we get basically nothing back
from the server.  I'm not quite sure whether this is an eggcups bug or
an HP bug.  I think we have a LaserJet here, I'll do some testing and
get back to you.
Comment 7 Phil Anderson 2005-02-05 21:22:06 EST
Created attachment 110696 [details]
Attempted strace of printing to a kyocera fs1010 with ipp
Comment 8 Matthew Miller 2006-07-10 18:10:25 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 9 John Thacker 2006-11-05 11:10:50 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.
Comment 10 Matthew Saltzman 2006-11-05 12:38:25 EST
Have not seen this with FC5 anyway.

Note You need to log in before you can comment on or make changes to this bug.